[nSLUG] Upgrade Testing - Now no X Windows

Robert Ashley rb.ashley at gmail.com
Sat Mar 11 17:00:05 AST 2006


On 3/11/06, Robert Ashley <rb.ashley at gmail.com> wrote:
> On 3/11/06, Stephen Gregory <nslug at kernelpanic.ca> wrote:
> > Bob your apt database may be corrupt. Rerun apt-get update. Then run
> > the following command to see which version of xserver-xfree86 you are
> > trying to install
> >
> >        $ apt-cache policy xserver-xfree86

Okay...blue pill 1
$ apt-cache policy xserver-xfree86
xserver-xfree86:
Installed: 4.3.0.dfsg.1-12.0.1
Candidate: 6.9.0.dfsg.1-4
Version Table:
6.9.0dfsg.1-4 0
500 http://http.us.debian.org testing/main Packages
*** 4.3.0.dfsg.1-12.0.1 0
100 /var/lib/dpkg/status

Stephen wrote:
> > You may want to cross your fingers and attempt a full upgrade of you
> > system with;
> >
> >     # apt-get dist-upgrade

Okay...blue pill 2-->

#apt-get dist-upgrade

last two lines....
xfree86-common: Depends x11-common but it is not installed
E: Unmet dependencies. Try using -f

Okay, so..

# apt-get -f install

last 3 lines...
Errors were encountered while processing:
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-4_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

higher up in the scrolled output is...

Unpacking x11-common (from.../x11-common_6.9.0.dfsg.1-4_all.deb)...
dkpg: error processing
/var/cache/apt/archives/x11-common_6.9.0.dfsg.1-4_all.deb (--unpack):
trying to overwrite '/etc/X11/Xsession', which is also in package xfree86-common
dpkg-deb: subprocess paste killed by signal (Broken  pipe)

Okay, so like...errm... things are getting violent in there.

Bob

!DSPAM:44133a55114621567733286!




More information about the nSLUG mailing list